swap_buf_le16
Prev | Chapter 5. libata Core Internals | Next

## Name

swap_buf_le16 — swap halves of 16-bit words in place

## Synopsis

`void swap_buf_le16 (` | u16 * | buf,
| unsigned int | buf_words`)`;

## Arguments

`buf`

  Buffer to swap

`buf_words`

  Number of 16-bit words in buffer.

## Description

Swap halves of 16-bit words if needed to convert from little-endian byte order to native cpu byte order, or vice-versa.

## LOCKING

Inherited from caller.

Prev | Up | Next
ata_sg_setup | Home | ata_pio_sector